@import '../../../../assets/scss/base/variable.scss';

.table tbody+tbody {
  border-top: inherit;
}

.table-hover tbody tr:hover {
  background-color: inherit;
}

table .collapse {
  &:hover {
    background-color: transparent;
  }
}

.customer-group-collapse {
  width: 20px;
  height: 20px;
  text-align: center;
  line-height: 20px;
  display: inline-block;
  margin-right: 5px;
  background-color: #f4f5f9;
  border: 1px solid #ccd2e2;
  color: #444f78;
  border-radius: 4px;

  i {
    font-size: 10px;
    font-weight: bold;
    color: #444f78;

    &:before {
      content: "\f113";
    }
  }

  &.collapsed {
    i {
      &:before {
        content: "\f110";
      }
    }
  }
}

.dataTables_wrapper .hightlight {
  background-color: #ffdab8;
}

.nt-attribute-textarea {

  // display: inline-block;
  // width: 100%;
  // max-height: 63px;
  // overflow: hidden;
  p {
    margin-bottom: 0;
  }
}

.m-portlet__body-head .m-portlet__body-head-top .m-portlet__body-head-top-right .search span {
  pointer-events: inherit;
  cursor: pointer;

  .m-input-icon>.m-input-icon__icon>span>i {
    color: $color-primary;

    &:before {
      font-weight: bold;
    }
  }
}

.nt-table-div {
  &.horizontal {
    .nt-table-div-body {
      border-bottom-color: transparent;
    }
  }


  &.vertical {
    .nt-table-div-list-fix-columns {
      .nt-table-div-col {
        &:last-of-type {
          border-right-color: #CCD2E2;
        }
      }
    }

    .nt-table-div-col {
      &:last-of-type {
        border-right-color: transparent;
      }
    }
  }

  .nt-table-div-list-fix-columns {
    width: 430px;
    flex-grow: 3;

    .nt-table-div-col {
      width: 150px;
      flex-grow: 1.5;
      background-color: #F4F5F9;

      &.id {
        flex-grow: 0;
        width: 50px;
      }

      &.action {
        flex-grow: 0.5;
        width: 80px;
      }

      &.sku {
        width: 120px;
        flex-grow: 1;
      }

      &:nth-of-type(2) {
        border-left-color: #CCD2E2;
      }
    }
  }

  .nt-table-div-row-style {
    border-top: 1px solid #CCD2E2;
  }

  .nt-table-div-col {
    flex-grow: 1;
    width: 180px;

    &.nt-select {
      width: 200px;
      flex-grow: 1.2;
    }

    &.nt-user {
      width: 220px;
      flex-grow: 1.4;
    }

    &.nt-textarea {
      width: 250px;
      flex-grow: 1.6;
    }

    &:nth-of-type(2) {
      border-left-color: transparent;
    }
  }
}

.nt-table-div-scroll-btn {
  @media (max-width: 1024px) {
    display: none;
  }

  .margin {
    position: absolute;
    bottom: 0;
    right: 0;
    display: block;
    width: 12px;
    height: 12px;
    background-color: #F4F5F9;
    border: 1px solid #CCD2E2;
    z-index: 1;
  }

  .vertical {
    position: absolute;
    z-index: 2;
    bottom: 12px;
    right: 0;
    display: none;

    &.is-active {
      display: block;
    }
  }

  .horizontal {
    position: absolute;
    z-index: 2;
    bottom: 0;
    right: 12px;
    display: none;

    &.without-vertical {
      right: 0;
    }

    &.is-active {
      display: flex;
    }

    .icon {
      width: 18px;
      height: 12px;
    }
  }

  .icon {
    width: 12px;
    height: 18px;
    border: 1px solid #CCD2E2;
    background-color: #fff;
    color: #444F78;
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;

    &:hover {
      background: #F4F5F9;
    }
  }
}

.m-btn--icon.m-btn--icon-only {
  height: auto;
  width: auto;
}

.nt-table-div-scroll {
  max-height: calc(100vh - 60px - 88px - 58px - 57px - 40px - 78px - 20px - 33px);
  position: relative;

  &.nt-table-div-scroll-height-auto {
    max-height: 100%;
  }

  @media (max-width: 767px) {
    max-height: 400px;

    &.nt-table-div-scroll-height-auto {
      max-height: 100%;
    }
  }

  &::-webkit-scrollbar {
    width: 12px;
    height: 12px;
    // border: 1px solid #CCD2E2;
    // border-radius: 4px;
  }

  &::-webkit-scrollbar {
    background: #F4F5F9;
    //  border-radius: 6px;
    border: 1px solid #CCD2E2;
  }
}

.dropdown-backdrop,
.nt-list-actions-dropdown-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 100;
  background-color: rgba(255, 255, 255, 0);
  display: none;

  &.show {
    display: block;
  }
}

.nt-barge-dropdown {
  display: inline-block;
}

.m-portlet__body-head .m-portlet__body-head-top .m-portlet__body-head-top-right .nt-list-config {
  .m-dropdown__wrapper {

    .m-dropdown__inner {
      @media (max-width: 480px) {
        right: auto !important;
      }
    }
  }
}

.m-portlet__body-head .m-portlet__body-head-top .m-portlet__body-head-top-right .nt-button-dropdown.m-dropdown--open .m-dropdown__toggle {
  &.nt-button-config {
    background: #444F78 !important;
    color: #FFFFFF !important;
    border: solid 1px #444F78 !important;
  }
}

.nt-list-config {
  .nt-button {
    @media (max-width: 768px) {
      padding: 10px;
    }

    @media (max-width: 480px) {
      padding: 10px 20px;
    }
  }

  .m-dropdown__wrapper {
    position: absolute;
    padding-top: 0 !important;
    top: auto;
    margin-left: -50px !important;

    @media (max-width: 768px) {
      margin-left: -70px !important;
    }

    @media (max-width: 480px) {
      margin-left: -20px !important;
    }

    .m-dropdown__inner {
      width: 300px;
      position: absolute;
      right: 20px;
      top: 10px;

      .m-dropdown__content {
        max-height: 420px;
      }
    }
  }
}

.nt-portlet__body-list {
  position: relative;
}